# bag_kadaster_client

BagKadasterClient - the Ruby gem for the IMBAG API - van de LVBAG

Dit is de [BAG API](https://zakelijk.kadaster.nl/-/bag-api) Individuele Bevragingen van de Landelijke Voorziening Basisregistratie Adressen en Gebouwen (LVBAG).
                                        <br/>
                                        Meer informatie over de Basisregistratie Adressen en Gebouwen is te vinden op de website van het [Ministerie van Binnenlandse Zaken en Koninkrijksrelaties](https://www.geobasisregistraties.nl/basisregistraties/adressen-en-gebouwen) en [Kadaster](https://zakelijk.kadaster.nl/bag).
                                        <br/>
                                        <br/>
                                        De BAG API levert informatie conform de [BAG Catalogus 2018](https://www.geobasisregistraties.nl/documenten/publicatie/2018/03/12/catalogus-2018) en het informatiemodel IMBAG 2.0.
                                        De API specificatie volgt de [Nederlandse API-Strategie](https://docs.geostandaarden.nl/api/API-Strategie) specificatie versie van 20200204 en is opgesteld in [OpenAPI Specificatie](https://www.forumstandaardisatie.nl/standaard/openapi-specification) (OAS) v3.
                                        <br/>
                                        Het standaard mediatype HAL (`application/hal+json`) wordt gebruikt. Dit is een mediatype voor het weergeven van resources en hun relaties via hyperlinks.
                                        <br/>
                                        <br/>
                                        Deze API is vooral gericht op individuele bevragingen (op basis van de identificerende gegevens van een object).
                                        Om gebruik te kunnen maken van de BAG API is een API key nodig, deze kan verkregen worden door het [aanvraagformulier](https://formulieren.kadaster.nl/aanvraag_bag_api_individuele_bevragingen_productie) in te vullen.
                                        <br/>
                                        <br/>
                                        Voor vragen, neem contact op met de LVBAG beheerder o.v.v. BAG API 2.0. We zijn aan het kijken naar een geschikt medium hiervoor, mede ook om de API iteratief te kunnen opstellen of doorontwikkelen samen met de community. Als de API iets (nog) niet kan, wat u wel graag wilt, neem dan contact op.

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 2.1.6
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://zakelijk.kadaster.nl/bag](https://zakelijk.kadaster.nl/bag)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build bag_kadaster_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./bag_kadaster_client-1.0.0.gem
```

(for development, run `gem install --dev ./bag_kadaster_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'bag_kadaster_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'bag_kadaster_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'bag_kadaster_client'

# Setup authorization
BagKadasterClient.configure do |config|
  # Configure API key authorization: apiKeyBAG
  config.api_key['apiKeyBAG'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['apiKeyBAG'] = 'Bearer'
end

api_instance = BagKadasterClient::AdresApi.new
opts = {
  zoekresultaat_identificatie: 'zoekresultaat_identificatie_example', # String | De identificatie van een gekozen zoekresultaat uit de zoekResultatenHalCollectie verkregen bij een GET /adressen/zoek
  postcode: '6922KZ', # String | Postcode behorende bij een nummeraanduiding.
  huisnummer: 1, # Integer | Huisnummer behorende bij een nummeraanduiding.
  huisnummertoevoeging: 'bis', # String | Huisnummertoevoeging behorende bij een nummeraanduiding.
  huisletter: 'A', # String | Huisletter behorende bij een nummeraanduiding.
  exacte_match: true, # Boolean | \"Een indicatie of de resultaten van een zoekoperatie exact overeen moeten komen met de zoekcriteria, zie [functionele specificatie exacte match](https://github.com/lvbag/BAG-API/blob/master/Features/exacte_match.feature).\"
  adresseerbaar_object_identificatie: '0226010000038820', # String | Identificatie van een adresseerbaar object (ligplaats, standplaats of verblijfsobject) uit de BAG.
  woonplaats_naam: 'Duiven', # String | Naam van een woonplaats.
  openbare_ruimte_naam: 'Laan van de landinrichtingscommissie Duiven-Westervoort', # String | Naam van een openbare ruimte.
  pand_identificatie: '0226100000008856', # String | Identificatie van een object uit de BAG. Deze is 4 lang bij een woonplaats en 16 lang bij de andere objecten.
  expand: 'expand_example', # String | Hier kan aangegeven worden welke gerelateerde resources meegeladen moeten worden. Resources en velden van resources die gewenst zijn kunnen in de expand parameter kommagescheiden worden opgegeven. Specifieke velden van resource kunnen worden opgegeven door het opgeven van de resource-naam gevolgd door de veldnaam, met daartussen een punt.
  page: 56, # Integer | Pagina nummer
  page_size: 56 # Integer | Aantal resultaten per pagina
}

begin
  #Bevragen van huidige adressen met een (combinatie van) zoek parameters.
  result = api_instance.bevraag_adressen(opts)
  p result
rescue BagKadasterClient::ApiError => e
  puts "Exception when calling AdresApi->bevraag_adressen: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.bag.acceptatie.kadaster.nl/lvbag/individuelebevragingen/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BagKadasterClient::AdresApi* | [**bevraag_adressen**](docs/AdresApi.md#bevraag_adressen) | **GET** /adressen | Bevragen van huidige adressen met een (combinatie van) zoek parameters.
*BagKadasterClient::AdresApi* | [**bevraag_adressen_met_num_id**](docs/AdresApi.md#bevraag_adressen_met_num_id) | **GET** /adressen/{nummeraanduidingIdentificatie} | Bevragen van een huidig adres met de identificatie van een nummeraanduiding.
*BagKadasterClient::AdresApi* | [**zoek**](docs/AdresApi.md#zoek) | **GET** /adressen/zoek | Zoeken van huidige adressen
*BagKadasterClient::AdresUitgebreidApi* | [**bevraag_adres_uitgebreid_met_num_id**](docs/AdresUitgebreidApi.md#bevraag_adres_uitgebreid_met_num_id) | **GET** /adressenuitgebreid/{nummeraanduidingIdentificatie} | Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding.
*BagKadasterClient::AdresUitgebreidApi* | [**zoek_adres_uitgebreid**](docs/AdresUitgebreidApi.md#zoek_adres_uitgebreid) | **GET** /adressenuitgebreid | Bevragen van de uitgebreide informatie van één of meer huidige adressen op basis van verschillende combinaties van parameters.
*BagKadasterClient::AdresseerbaarObjectApi* | [**bevragen_adresseerbaar_object**](docs/AdresseerbaarObjectApi.md#bevragen_adresseerbaar_object) | **GET** /adresseerbareobjecten/{adresseerbaarObjectIdentificatie} | Bevragen van één adresseerbaar object met een adresseerbaar object identificatie.
*BagKadasterClient::AdresseerbaarObjectApi* | [**bevragen_adresseerbaar_object_lvc**](docs/AdresseerbaarObjectApi.md#bevragen_adresseerbaar_object_lvc) | **GET** /adresseerbareobjecten/{adresseerbaarObjectIdentificatie}/lvc | Bevragen van de levenscyclus van een adresseerbaar object met een adresseerbaar object identificatie.
*BagKadasterClient::AdresseerbaarObjectApi* | [**zoek_adresseerbaar_object**](docs/AdresseerbaarObjectApi.md#zoek_adresseerbaar_object) | **GET** /adresseerbareobjecten | Bevragen van één of meer adresseerbare objecten op basis van een nummeraanduiding identificatie.
*BagKadasterClient::AlgemeneInformatieApi* | [**get_info**](docs/AlgemeneInformatieApi.md#get_info) | **GET** /info | Algemene info van de API
*BagKadasterClient::BronhouderApi* | [**bevragen_bronhouder**](docs/BronhouderApi.md#bevragen_bronhouder) | **GET** /bronhouders/{identificatie} | Bevragen bronhouder met de bronhouder identificatie (gemeentecode).
*BagKadasterClient::BronhouderApi* | [**bronhouder_identificatie_voorkomen**](docs/BronhouderApi.md#bronhouder_identificatie_voorkomen) | **GET** /bronhouders/{identificatie}/{versie}/{timestampRegistratieLv} | bevragen voorkomen van een bronhouder met de identificatie van een bronhouder en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
*BagKadasterClient::BronhouderApi* | [**zoek_bronhouder**](docs/BronhouderApi.md#zoek_bronhouder) | **GET** /bronhouders | Bevragen bronhouder met een object identificatie.
*BagKadasterClient::LigplaatsApi* | [**ligplaats_geometrie**](docs/LigplaatsApi.md#ligplaats_geometrie) | **POST** /ligplaatsen | bevragen van een ligplaats, op basis van een geometrische locatie.
*BagKadasterClient::LigplaatsApi* | [**ligplaats_identificatie**](docs/LigplaatsApi.md#ligplaats_identificatie) | **GET** /ligplaatsen/{identificatie} | bevragen 1 ligplaats met de identificatie van een ligplaats.
*BagKadasterClient::LigplaatsApi* | [**ligplaats_identificatie_voorkomen**](docs/LigplaatsApi.md#ligplaats_identificatie_voorkomen) | **GET** /ligplaatsen/{identificatie}/{versie}/{timestampRegistratieLv} | bevragen voorkomen van een ligplaats met de identificatie van een ligplaats en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
*BagKadasterClient::LigplaatsApi* | [**ligplaats_lvc_identificatie**](docs/LigplaatsApi.md#ligplaats_lvc_identificatie) | **GET** /ligplaatsen/{identificatie}/lvc | bevragen levenscyclus van een ligplaats met de identificatie van een ligplaats.
*BagKadasterClient::NummeraanduidingApi* | [**nummeraanduiding_identificatie**](docs/NummeraanduidingApi.md#nummeraanduiding_identificatie) | **GET** /nummeraanduidingen/{nummeraanduidingIdentificatie} | bevragen van een nummeraanduiding op basis van de identificatie van een nummeraanduiding
*BagKadasterClient::NummeraanduidingApi* | [**nummeraanduiding_identificatie_voorkomen**](docs/NummeraanduidingApi.md#nummeraanduiding_identificatie_voorkomen) | **GET** /nummeraanduidingen/{nummeraanduidingIdentificatie}/{versie}/{timestampRegistratieLv} | bevragen van een voorkomen van een nummeraanduiding, op basis van de identificatie van een nummeraanduiding en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
*BagKadasterClient::NummeraanduidingApi* | [**nummeraanduiding_lvc_identificatie**](docs/NummeraanduidingApi.md#nummeraanduiding_lvc_identificatie) | **GET** /nummeraanduidingen/{nummeraanduidingIdentificatie}/lvc | bevragen levenscyclus van een nummeraanduiding met de identificatie van een nummeraanduiding.
*BagKadasterClient::NummeraanduidingApi* | [**zoek_nummeraanduiding**](docs/NummeraanduidingApi.md#zoek_nummeraanduiding) | **GET** /nummeraanduidingen | bevragen nummeraanduiding(en) op basis van verschillende combinaties van parameters.
*BagKadasterClient::OpenbareRuimteApi* | [**openbareruimte_identificatie**](docs/OpenbareRuimteApi.md#openbareruimte_identificatie) | **GET** /openbareruimten/{openbareRuimteIdentificatie} | bevragen van een openbare ruimte met de identificatie van een openbare ruimte.
*BagKadasterClient::OpenbareRuimteApi* | [**openbareruimte_identificatie_voorkomen**](docs/OpenbareRuimteApi.md#openbareruimte_identificatie_voorkomen) | **GET** /openbareruimten/{openbareRuimteIdentificatie}/{versie}/{timestampRegistratieLv} | bevragen van een voorkomen van een openbare ruimte met de identificatie van een openbare ruimte en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
*BagKadasterClient::OpenbareRuimteApi* | [**openbareruimte_lvc_identificatie**](docs/OpenbareRuimteApi.md#openbareruimte_lvc_identificatie) | **GET** /openbareruimten/{openbareRuimteIdentificatie}/lvc | bevragen levenscyclus van een openbare ruimte met de identificatie van een openbare ruimte.
*BagKadasterClient::OpenbareRuimteApi* | [**zoek_openbare_ruimten**](docs/OpenbareRuimteApi.md#zoek_openbare_ruimten) | **GET** /openbareruimten | bevragen openbare ruimte(n) op basis van de verschillende combinaties van parameters.
*BagKadasterClient::PandApi* | [**pand_geometrie**](docs/PandApi.md#pand_geometrie) | **POST** /panden | bevragen panden met een geometrische locatie.
*BagKadasterClient::PandApi* | [**pand_identificatie**](docs/PandApi.md#pand_identificatie) | **GET** /panden/{identificatie} | bevragen van een pand met de identificatie van een pand.
*BagKadasterClient::PandApi* | [**pand_identificatie_voorkomen**](docs/PandApi.md#pand_identificatie_voorkomen) | **GET** /panden/{identificatie}/{versie}/{timestampRegistratieLv} | bevragen voorkomen van een pand met de identificatie van een pand en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
*BagKadasterClient::PandApi* | [**pand_lvc_identificatie**](docs/PandApi.md#pand_lvc_identificatie) | **GET** /panden/{identificatie}/lvc | bevragen levenscyclus van een pand met de identificatie van een pand.
*BagKadasterClient::StandplaatsApi* | [**standplaats_geometrie**](docs/StandplaatsApi.md#standplaats_geometrie) | **POST** /standplaatsen | bevragen van een standplaats met een geometrische locatie.
*BagKadasterClient::StandplaatsApi* | [**standplaats_identificatie**](docs/StandplaatsApi.md#standplaats_identificatie) | **GET** /standplaatsen/{identificatie} | bevragen van een standplaats met de identificatie van een standplaats.
*BagKadasterClient::StandplaatsApi* | [**standplaats_identificatie_voorkomen**](docs/StandplaatsApi.md#standplaats_identificatie_voorkomen) | **GET** /standplaatsen/{identificatie}/{versie}/{timestampRegistratieLv} | bevragen van een voorkomen van een standplaats met de identificatie van een standplaats en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
*BagKadasterClient::StandplaatsApi* | [**standplaats_lvc_identificatie**](docs/StandplaatsApi.md#standplaats_lvc_identificatie) | **GET** /standplaatsen/{identificatie}/lvc | bevragen levenscyclus van een standplaats met de identificatie van een standplaats.
*BagKadasterClient::VerblijfsobjectApi* | [**verblijfsobject_identificatie**](docs/VerblijfsobjectApi.md#verblijfsobject_identificatie) | **GET** /verblijfsobjecten/{identificatie} | bevragen 1 verblijfsobject met de identificatie van een verblijfsobject.
*BagKadasterClient::VerblijfsobjectApi* | [**verblijfsobject_identificatie_voorkomen**](docs/VerblijfsobjectApi.md#verblijfsobject_identificatie_voorkomen) | **GET** /verblijfsobjecten/{identificatie}/{versie}/{timestampRegistratieLv} | bevragen voorkomen van een verblijfsobject, op basis van de identificatie van een verblijfsobject en de identificatie van een voorkomen
*BagKadasterClient::VerblijfsobjectApi* | [**verblijfsobject_lvc_identificatie**](docs/VerblijfsobjectApi.md#verblijfsobject_lvc_identificatie) | **GET** /verblijfsobjecten/{identificatie}/lvc | bevragen levenscyclus van een verblijfsobject met de identificatie van een verblijfsobject.
*BagKadasterClient::VerblijfsobjectApi* | [**zoek_verblijfsobjecten**](docs/VerblijfsobjectApi.md#zoek_verblijfsobjecten) | **GET** /verblijfsobjecten | bevragen van alle aan een pand gerelateerde verblijfsobjecten (met paginering).
*BagKadasterClient::WoonplaatsApi* | [**woonplaats_geometrie**](docs/WoonplaatsApi.md#woonplaats_geometrie) | **POST** /woonplaatsen | bevragen van een woonplaats met een geometrische locatie.
*BagKadasterClient::WoonplaatsApi* | [**woonplaats_identificatie**](docs/WoonplaatsApi.md#woonplaats_identificatie) | **GET** /woonplaatsen/{identificatie} | bevragen van een woonplaats met de identificatie van een woonplaats.
*BagKadasterClient::WoonplaatsApi* | [**woonplaats_identificatie_voorkomen**](docs/WoonplaatsApi.md#woonplaats_identificatie_voorkomen) | **GET** /woonplaatsen/{identificatie}/{versie}/{timestampRegistratieLv} | bevragen van een voorkomen van een woonplaats met de identificatie van een woonplaats en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
*BagKadasterClient::WoonplaatsApi* | [**woonplaats_lvc_identificatie**](docs/WoonplaatsApi.md#woonplaats_lvc_identificatie) | **GET** /woonplaatsen/{identificatie}/lvc | bevragen van de levenscyclus van een woonplaats met de identificatie van een woonplaats.
*BagKadasterClient::WoonplaatsApi* | [**woonplaats_naam**](docs/WoonplaatsApi.md#woonplaats_naam) | **GET** /woonplaatsen | bevragen van één of meer woonplaatsen met een woonplaatsnaam.


## Documentation for Models

 - [BagKadasterClient::APIInfo](docs/APIInfo.md)
 - [BagKadasterClient::Adres](docs/Adres.md)
 - [BagKadasterClient::AdresIO](docs/AdresIO.md)
 - [BagKadasterClient::AdresIOAllOf](docs/AdresIOAllOf.md)
 - [BagKadasterClient::AdresIOEmbedded](docs/AdresIOEmbedded.md)
 - [BagKadasterClient::AdresIOHal](docs/AdresIOHal.md)
 - [BagKadasterClient::AdresIOHalAllOf](docs/AdresIOHalAllOf.md)
 - [BagKadasterClient::AdresIOHalCollection](docs/AdresIOHalCollection.md)
 - [BagKadasterClient::AdresIOHalCollectionEmbedded](docs/AdresIOHalCollectionEmbedded.md)
 - [BagKadasterClient::AdresIOLinks](docs/AdresIOLinks.md)
 - [BagKadasterClient::AdresInOnderzoek](docs/AdresInOnderzoek.md)
 - [BagKadasterClient::AdresUitgebreid](docs/AdresUitgebreid.md)
 - [BagKadasterClient::AdresUitgebreidAllOf](docs/AdresUitgebreidAllOf.md)
 - [BagKadasterClient::AdresUitgebreidGeconstateerd](docs/AdresUitgebreidGeconstateerd.md)
 - [BagKadasterClient::AdresUitgebreidGeconstateerdAllOf](docs/AdresUitgebreidGeconstateerdAllOf.md)
 - [BagKadasterClient::AdresUitgebreidHal](docs/AdresUitgebreidHal.md)
 - [BagKadasterClient::AdresUitgebreidHalAllOf](docs/AdresUitgebreidHalAllOf.md)
 - [BagKadasterClient::AdresUitgebreidHalCollection](docs/AdresUitgebreidHalCollection.md)
 - [BagKadasterClient::AdresUitgebreidHalCollectionEmbedded](docs/AdresUitgebreidHalCollectionEmbedded.md)
 - [BagKadasterClient::AdresUitgebreidInOnderzoek](docs/AdresUitgebreidInOnderzoek.md)
 - [BagKadasterClient::AdresUitgebreidInOnderzoekAllOf](docs/AdresUitgebreidInOnderzoekAllOf.md)
 - [BagKadasterClient::AdresUitgebreidLinks](docs/AdresUitgebreidLinks.md)
 - [BagKadasterClient::AdresseerbaarObject](docs/AdresseerbaarObject.md)
 - [BagKadasterClient::AdresseerbaarObjectIOHal](docs/AdresseerbaarObjectIOHal.md)
 - [BagKadasterClient::AdresseerbaarObjectLvcIOHalCollection](docs/AdresseerbaarObjectLvcIOHalCollection.md)
 - [BagKadasterClient::AdresseerbaarObjectLvcIOHalCollectionEmbedded](docs/AdresseerbaarObjectLvcIOHalCollectionEmbedded.md)
 - [BagKadasterClient::AdresseerbareObjectenIOHalCollection](docs/AdresseerbareObjectenIOHalCollection.md)
 - [BagKadasterClient::AdresseerbareObjectenIOHalCollectionEmbedded](docs/AdresseerbareObjectenIOHalCollectionEmbedded.md)
 - [BagKadasterClient::Bronhouder](docs/Bronhouder.md)
 - [BagKadasterClient::BronhouderHal](docs/BronhouderHal.md)
 - [BagKadasterClient::BronhouderHalCollection](docs/BronhouderHalCollection.md)
 - [BagKadasterClient::BronhouderHalCollectionEmbedded](docs/BronhouderHalCollectionEmbedded.md)
 - [BagKadasterClient::BronhouderLinks](docs/BronhouderLinks.md)
 - [BagKadasterClient::Error](docs/Error.md)
 - [BagKadasterClient::Gebruiksdoel](docs/Gebruiksdoel.md)
 - [BagKadasterClient::Geconstateerd](docs/Geconstateerd.md)
 - [BagKadasterClient::HalCollectionLinks](docs/HalCollectionLinks.md)
 - [BagKadasterClient::HalLink](docs/HalLink.md)
 - [BagKadasterClient::HalPaginationLinks](docs/HalPaginationLinks.md)
 - [BagKadasterClient::HalPaginationLinksAllOf](docs/HalPaginationLinksAllOf.md)
 - [BagKadasterClient::HalPaginationLinksAllOfFirst](docs/HalPaginationLinksAllOfFirst.md)
 - [BagKadasterClient::HalPaginationLinksAllOfLast](docs/HalPaginationLinksAllOfLast.md)
 - [BagKadasterClient::HalPaginationLinksAllOfNext](docs/HalPaginationLinksAllOfNext.md)
 - [BagKadasterClient::HalPaginationLinksAllOfPrevious](docs/HalPaginationLinksAllOfPrevious.md)
 - [BagKadasterClient::HistorieInOnderzoek](docs/HistorieInOnderzoek.md)
 - [BagKadasterClient::InOnderzoekLigplaats](docs/InOnderzoekLigplaats.md)
 - [BagKadasterClient::InOnderzoekNummeraanduiding](docs/InOnderzoekNummeraanduiding.md)
 - [BagKadasterClient::InOnderzoekOpenbareRuimte](docs/InOnderzoekOpenbareRuimte.md)
 - [BagKadasterClient::InOnderzoekPand](docs/InOnderzoekPand.md)
 - [BagKadasterClient::InOnderzoekStandplaats](docs/InOnderzoekStandplaats.md)
 - [BagKadasterClient::InOnderzoekVerblijfsobject](docs/InOnderzoekVerblijfsobject.md)
 - [BagKadasterClient::InOnderzoekWoonplaats](docs/InOnderzoekWoonplaats.md)
 - [BagKadasterClient::Indicatie](docs/Indicatie.md)
 - [BagKadasterClient::InvalidParams](docs/InvalidParams.md)
 - [BagKadasterClient::KenmerkLigplaatsInOnderzoek](docs/KenmerkLigplaatsInOnderzoek.md)
 - [BagKadasterClient::KenmerkNummeraanduidingInOnderzoek](docs/KenmerkNummeraanduidingInOnderzoek.md)
 - [BagKadasterClient::KenmerkOpenbareRuimteInOnderzoek](docs/KenmerkOpenbareRuimteInOnderzoek.md)
 - [BagKadasterClient::KenmerkPandInOnderzoek](docs/KenmerkPandInOnderzoek.md)
 - [BagKadasterClient::KenmerkStandplaatsInOnderzoek](docs/KenmerkStandplaatsInOnderzoek.md)
 - [BagKadasterClient::KenmerkVerblijfsobjectInOnderzoek](docs/KenmerkVerblijfsobjectInOnderzoek.md)
 - [BagKadasterClient::KenmerkWoonplaatsInOnderzoek](docs/KenmerkWoonplaatsInOnderzoek.md)
 - [BagKadasterClient::Ligplaats](docs/Ligplaats.md)
 - [BagKadasterClient::LigplaatsAllOf](docs/LigplaatsAllOf.md)
 - [BagKadasterClient::LigplaatsEmbedded](docs/LigplaatsEmbedded.md)
 - [BagKadasterClient::LigplaatsIOHal](docs/LigplaatsIOHal.md)
 - [BagKadasterClient::LigplaatsIOHalCollection](docs/LigplaatsIOHalCollection.md)
 - [BagKadasterClient::LigplaatsIOHalCollectionEmbedded](docs/LigplaatsIOHalCollectionEmbedded.md)
 - [BagKadasterClient::LigplaatsIOLvcHalCollection](docs/LigplaatsIOLvcHalCollection.md)
 - [BagKadasterClient::LigplaatsIOLvcHalCollectionEmbedded](docs/LigplaatsIOLvcHalCollectionEmbedded.md)
 - [BagKadasterClient::LigplaatsLinks](docs/LigplaatsLinks.md)
 - [BagKadasterClient::MultiPolygon](docs/MultiPolygon.md)
 - [BagKadasterClient::MultiSurface](docs/MultiSurface.md)
 - [BagKadasterClient::Nummeraanduiding](docs/Nummeraanduiding.md)
 - [BagKadasterClient::NummeraanduidingEmbedded](docs/NummeraanduidingEmbedded.md)
 - [BagKadasterClient::NummeraanduidingIOHal](docs/NummeraanduidingIOHal.md)
 - [BagKadasterClient::NummeraanduidingIOHalCollection](docs/NummeraanduidingIOHalCollection.md)
 - [BagKadasterClient::NummeraanduidingIOHalCollectionEmbedded](docs/NummeraanduidingIOHalCollectionEmbedded.md)
 - [BagKadasterClient::NummeraanduidingIOLvcHalCollection](docs/NummeraanduidingIOLvcHalCollection.md)
 - [BagKadasterClient::NummeraanduidingIOLvcHalCollectionEmbedded](docs/NummeraanduidingIOLvcHalCollectionEmbedded.md)
 - [BagKadasterClient::NummeraanduidingLinks](docs/NummeraanduidingLinks.md)
 - [BagKadasterClient::OpenbareRuimte](docs/OpenbareRuimte.md)
 - [BagKadasterClient::OpenbareRuimteEmbedded](docs/OpenbareRuimteEmbedded.md)
 - [BagKadasterClient::OpenbareRuimteIOHal](docs/OpenbareRuimteIOHal.md)
 - [BagKadasterClient::OpenbareRuimteIOHalCollection](docs/OpenbareRuimteIOHalCollection.md)
 - [BagKadasterClient::OpenbareRuimteIOHalCollectionEmbedded](docs/OpenbareRuimteIOHalCollectionEmbedded.md)
 - [BagKadasterClient::OpenbareRuimteIOLvcHalCollection](docs/OpenbareRuimteIOLvcHalCollection.md)
 - [BagKadasterClient::OpenbareRuimteIOLvcHalCollectionEmbedded](docs/OpenbareRuimteIOLvcHalCollectionEmbedded.md)
 - [BagKadasterClient::OpenbareRuimteLinks](docs/OpenbareRuimteLinks.md)
 - [BagKadasterClient::Pand](docs/Pand.md)
 - [BagKadasterClient::PandIOHal](docs/PandIOHal.md)
 - [BagKadasterClient::PandIOHalCollection](docs/PandIOHalCollection.md)
 - [BagKadasterClient::PandIOHalCollectionEmbedded](docs/PandIOHalCollectionEmbedded.md)
 - [BagKadasterClient::PandIOLvcHalCollection](docs/PandIOLvcHalCollection.md)
 - [BagKadasterClient::PandIOLvcHalCollectionEmbedded](docs/PandIOLvcHalCollectionEmbedded.md)
 - [BagKadasterClient::PandLinks](docs/PandLinks.md)
 - [BagKadasterClient::Point](docs/Point.md)
 - [BagKadasterClient::Polygon](docs/Polygon.md)
 - [BagKadasterClient::Provincie](docs/Provincie.md)
 - [BagKadasterClient::PuntOfVlak](docs/PuntOfVlak.md)
 - [BagKadasterClient::Standplaats](docs/Standplaats.md)
 - [BagKadasterClient::StandplaatsAllOf](docs/StandplaatsAllOf.md)
 - [BagKadasterClient::StandplaatsEmbedded](docs/StandplaatsEmbedded.md)
 - [BagKadasterClient::StandplaatsIOHal](docs/StandplaatsIOHal.md)
 - [BagKadasterClient::StandplaatsIOHalCollection](docs/StandplaatsIOHalCollection.md)
 - [BagKadasterClient::StandplaatsIOHalCollectionEmbedded](docs/StandplaatsIOHalCollectionEmbedded.md)
 - [BagKadasterClient::StandplaatsIOLvcHalCollection](docs/StandplaatsIOLvcHalCollection.md)
 - [BagKadasterClient::StandplaatsIOLvcHalCollectionEmbedded](docs/StandplaatsIOLvcHalCollectionEmbedded.md)
 - [BagKadasterClient::StandplaatsLinks](docs/StandplaatsLinks.md)
 - [BagKadasterClient::StatusNaamgeving](docs/StatusNaamgeving.md)
 - [BagKadasterClient::StatusPand](docs/StatusPand.md)
 - [BagKadasterClient::StatusPlaats](docs/StatusPlaats.md)
 - [BagKadasterClient::StatusVerblijfsobject](docs/StatusVerblijfsobject.md)
 - [BagKadasterClient::StatusWoonplaats](docs/StatusWoonplaats.md)
 - [BagKadasterClient::Surface](docs/Surface.md)
 - [BagKadasterClient::TypeAdresseerbaarObject](docs/TypeAdresseerbaarObject.md)
 - [BagKadasterClient::TypeOpenbareRuimte](docs/TypeOpenbareRuimte.md)
 - [BagKadasterClient::Verblijfsobject](docs/Verblijfsobject.md)
 - [BagKadasterClient::VerblijfsobjectAllOf](docs/VerblijfsobjectAllOf.md)
 - [BagKadasterClient::VerblijfsobjectEmbedded](docs/VerblijfsobjectEmbedded.md)
 - [BagKadasterClient::VerblijfsobjectIOHal](docs/VerblijfsobjectIOHal.md)
 - [BagKadasterClient::VerblijfsobjectIOHalCollection](docs/VerblijfsobjectIOHalCollection.md)
 - [BagKadasterClient::VerblijfsobjectIOHalCollectionEmbedded](docs/VerblijfsobjectIOHalCollectionEmbedded.md)
 - [BagKadasterClient::VerblijfsobjectIOLvcHalCollection](docs/VerblijfsobjectIOLvcHalCollection.md)
 - [BagKadasterClient::VerblijfsobjectIOLvcHalCollectionEmbedded](docs/VerblijfsobjectIOLvcHalCollectionEmbedded.md)
 - [BagKadasterClient::VerblijfsobjectLinks](docs/VerblijfsobjectLinks.md)
 - [BagKadasterClient::VlakOfMultivlak](docs/VlakOfMultivlak.md)
 - [BagKadasterClient::Voorkomen](docs/Voorkomen.md)
 - [BagKadasterClient::Woonplaats](docs/Woonplaats.md)
 - [BagKadasterClient::WoonplaatsEmbedded](docs/WoonplaatsEmbedded.md)
 - [BagKadasterClient::WoonplaatsIOHal](docs/WoonplaatsIOHal.md)
 - [BagKadasterClient::WoonplaatsIOHalCollection](docs/WoonplaatsIOHalCollection.md)
 - [BagKadasterClient::WoonplaatsIOHalCollectionEmbedded](docs/WoonplaatsIOHalCollectionEmbedded.md)
 - [BagKadasterClient::WoonplaatsIOLvcHalCollection](docs/WoonplaatsIOLvcHalCollection.md)
 - [BagKadasterClient::WoonplaatsIOLvcHalCollectionEmbedded](docs/WoonplaatsIOLvcHalCollectionEmbedded.md)
 - [BagKadasterClient::WoonplaatsLinks](docs/WoonplaatsLinks.md)
 - [BagKadasterClient::ZoekResultaat](docs/ZoekResultaat.md)
 - [BagKadasterClient::ZoekResultaatHal](docs/ZoekResultaatHal.md)
 - [BagKadasterClient::ZoekResultaatHalAllOf](docs/ZoekResultaatHalAllOf.md)
 - [BagKadasterClient::ZoekResultaatHalCollection](docs/ZoekResultaatHalCollection.md)
 - [BagKadasterClient::ZoekResultaatHalCollectionEmbedded](docs/ZoekResultaatHalCollectionEmbedded.md)
 - [BagKadasterClient::ZoekResultaatLinks](docs/ZoekResultaatLinks.md)


## Documentation for Authorization


### apiKeyBAG


- **Type**: API key
- **API key parameter name**: X-Api-Key
- **Location**: HTTP header

