# BagKadasterClient::Adres

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **openbare_ruimte_naam** | **String** | Een naam die aan een openbare ruimte is toegekend in een daartoe strekkend formeel gemeentelijk besluit. |  |
| **korte_naam** | **String** | De officiële openbare ruimte naam als deze niet langer is dan 24 tekens of de volgens de NEN5825 verkorte naam van maximaal 24 tekens. | [optional] |
| **huisnummer** | **Integer** | Een door of namens het gemeentebestuur ten aanzien van een adresseerbaar object toegekende nummering. |  |
| **huisletter** | **String** | Een door of namens het gemeentebestuur ten aanzien van een adresseerbaar object toegekende toevoeging aan een huisnummer in de vorm van een alfanumeriek teken. | [optional] |
| **huisnummertoevoeging** | **String** | Een door of namens het gemeentebestuur ten aanzien van een adresseerbaar object toegekende nadere toevoeging aan een huisnummer of een combinatie van huisnummer en huisletter. | [optional] |
| **postcode** | **String** | De door PostNL vastgestelde code behorende bij een bepaalde combinatie van een straatnaam en een huisnummer. | [optional] |
| **woonplaats_naam** | **String** | De benaming van een door het gemeentebestuur aangewezen woonplaats. |  |
| **nummeraanduiding_identificatie** | **String** | Deze wordt gebruikt in de operation. |  |
| **openbare_ruimte_identificatie** | **String** | Deze wordt gebruikt in de operation. |  |
| **woonplaats_identificatie** | **String** | De identificatie wordt gebruikt in de operation, bv. /woonplaatsen/3560. Waarde: 0001-9999, formaat: ^[0-9]{3}[1-9]\\|[0-9]{2}[1-9][0-9]\\|[0-9][1-9][0-9]{2}\\|[1-9][0-9]{3}$. |  |
| **adresseerbaar_object_identificatie** | **String** | Identificatie van een adresseerbaar object (ligplaats, standplaats of verblijfsobject) uit de BAG. | [optional] |
| **pand_identificaties** | **Array&lt;String&gt;** | Identificatie(s) van het pand of de panden waar het verblijfsobject deel van uit maakt. | [optional] |
| **indicatie_nevenadres** | **Boolean** | Indicatie dat dit adres een nevenadres is van een adresseerbaar object. Het adres is een hoofdadres als deze indicatie niet wordt meegeleverd. | [optional] |

## Example

```ruby
require 'bag_kadaster_client'

instance = BagKadasterClient::Adres.new(
  openbare_ruimte_naam: Laan van de landinrichtingscommissie Duiven-Westervoort,
  korte_naam: Ln vd l D-Westervoort,
  huisnummer: 1,
  huisletter: A,
  huisnummertoevoeging: bis,
  postcode: 6922KZ,
  woonplaats_naam: Duiven,
  nummeraanduiding_identificatie: 0226200000038923,
  openbare_ruimte_identificatie: 0226300000136124,
  woonplaats_identificatie: 2096,
  adresseerbaar_object_identificatie: 0226010000038820,
  pand_identificaties: null,
  indicatie_nevenadres: null
)
```

