# BagKadasterClient::AdresUitgebreidApi

All URIs are relative to *https://api.bag.acceptatie.kadaster.nl/lvbag/individuelebevragingen/v2*

| Method | HTTP request | Description |
| ------ | ------------ | ----------- |
| [**bevraag_adres_uitgebreid_met_num_id**](AdresUitgebreidApi.md#bevraag_adres_uitgebreid_met_num_id) | **GET** /adressenuitgebreid/{nummeraanduidingIdentificatie} | Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding. |
| [**zoek_adres_uitgebreid**](AdresUitgebreidApi.md#zoek_adres_uitgebreid) | **GET** /adressenuitgebreid | Bevragen van de uitgebreide informatie van één of meer huidige adressen op basis van verschillende combinaties van parameters. |


## bevraag_adres_uitgebreid_met_num_id

> <AdresUitgebreidHal> bevraag_adres_uitgebreid_met_num_id(nummeraanduiding_identificatie, opts)

Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding.

Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding.

### Examples

```ruby
require 'time'
require 'bag_kadaster_client'
# setup authorization
BagKadasterClient.configure do |config|
  # Configure API key authorization: apiKeyBAG
  config.api_key['apiKeyBAG'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['apiKeyBAG'] = 'Bearer'
end

api_instance = BagKadasterClient::AdresUitgebreidApi.new
nummeraanduiding_identificatie = '0226200000038923' # String | Identificatie van een nummeraanduiding uit de BAG.
opts = {
  accept_crs: 'epsg:28992' # String | Gewenste CRS van de coördinaten in de response.
}

begin
  # Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding.
  result = api_instance.bevraag_adres_uitgebreid_met_num_id(nummeraanduiding_identificatie, opts)
  p result
rescue BagKadasterClient::ApiError => e
  puts "Error when calling AdresUitgebreidApi->bevraag_adres_uitgebreid_met_num_id: #{e}"
end
```

#### Using the bevraag_adres_uitgebreid_met_num_id_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<AdresUitgebreidHal>, Integer, Hash)> bevraag_adres_uitgebreid_met_num_id_with_http_info(nummeraanduiding_identificatie, opts)

```ruby
begin
  # Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding.
  data, status_code, headers = api_instance.bevraag_adres_uitgebreid_met_num_id_with_http_info(nummeraanduiding_identificatie, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <AdresUitgebreidHal>
rescue BagKadasterClient::ApiError => e
  puts "Error when calling AdresUitgebreidApi->bevraag_adres_uitgebreid_met_num_id_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **nummeraanduiding_identificatie** | **String** | Identificatie van een nummeraanduiding uit de BAG. |  |
| **accept_crs** | **String** | Gewenste CRS van de coördinaten in de response. | [optional] |

### Return type

[**AdresUitgebreidHal**](AdresUitgebreidHal.md)

### Authorization

[apiKeyBAG](../README.md#apiKeyBAG)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/hal+json, application/problem+json


## zoek_adres_uitgebreid

> <AdresUitgebreidHalCollection> zoek_adres_uitgebreid(opts)

Bevragen van de uitgebreide informatie van één of meer huidige adressen op basis van verschillende combinaties van parameters.

De volgende (combinaties van) parameters worden ondersteund: <ol>   <li>Bevragen van de uitgebreide informatie van één of meer huidige adressen met een postcode, huisnummer en optioneel huisnummertoevoeging en huisletter.     Het opgeven van een combinatie van parameters levert niet altijd een exacte match met één adres, bv. in geval van meerdere objecten met huisnummertoevoegingen en/of huisletters.      Met de exacteMatch parameter kan worden aangegeven dat alleen object(en) die exact overeenkomen met de opgegeven parameters, geretourneerd moeten worden.   </li>   <li>Bevragen van de uitgebreide informatie van één of meer huidige adressen met de identificatie van een adresseerbaar object.</li>   <li>Bevragen van de uitgebreide informatie van één of meer huidige adressen met woonplaats naam, openbare ruimte naam, huisnummer en optioneel huisnummertoevoeging en huisletter.     Het opgeven van een combinatie van parameters levert niet altijd een exacte match met één adres, bv. in geval van meerdere objecten met huisnummertoevoegingen en/of huisletters.      Met de exacteMatch parameter kan worden aangegeven dat alleen object(en) die exact overeenkomen met de opgegeven parameters, geretourneerd moeten worden.   </li> </ol>

### Examples

```ruby
require 'time'
require 'bag_kadaster_client'
# setup authorization
BagKadasterClient.configure do |config|
  # Configure API key authorization: apiKeyBAG
  config.api_key['apiKeyBAG'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['apiKeyBAG'] = 'Bearer'
end

api_instance = BagKadasterClient::AdresUitgebreidApi.new
opts = {
  postcode: '6922KZ', # String | Postcode behorende bij een nummeraanduiding.
  huisnummer: 1, # Integer | Huisnummer behorende bij een nummeraanduiding.
  huisnummertoevoeging: 'bis', # String | Huisnummertoevoeging behorende bij een nummeraanduiding.
  huisletter: 'A', # String | Huisletter behorende bij een nummeraanduiding.
  exacte_match: true, # Boolean | \"Een indicatie of de resultaten van een zoekoperatie exact overeen moeten komen met de zoekcriteria, zie [functionele specificatie exacte match](https://github.com/lvbag/BAG-API/blob/master/Features/exacte_match.feature).\"
  adresseerbaar_object_identificatie: '0226010000038820', # String | Identificatie van een adresseerbaar object uit de BAG.
  woonplaats_naam: 'Duiven', # String | Naam van een woonplaats.
  openbare_ruimte_naam: 'Laan van de landinrichtingscommissie Duiven-Westervoort', # String | Naam van een openbare ruimte.
  accept_crs: 'epsg:28992' # String | Gewenste CRS van de coördinaten in de response.
}

begin
  # Bevragen van de uitgebreide informatie van één of meer huidige adressen op basis van verschillende combinaties van parameters.
  result = api_instance.zoek_adres_uitgebreid(opts)
  p result
rescue BagKadasterClient::ApiError => e
  puts "Error when calling AdresUitgebreidApi->zoek_adres_uitgebreid: #{e}"
end
```

#### Using the zoek_adres_uitgebreid_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<AdresUitgebreidHalCollection>, Integer, Hash)> zoek_adres_uitgebreid_with_http_info(opts)

```ruby
begin
  # Bevragen van de uitgebreide informatie van één of meer huidige adressen op basis van verschillende combinaties van parameters.
  data, status_code, headers = api_instance.zoek_adres_uitgebreid_with_http_info(opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <AdresUitgebreidHalCollection>
rescue BagKadasterClient::ApiError => e
  puts "Error when calling AdresUitgebreidApi->zoek_adres_uitgebreid_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **postcode** | **String** | Postcode behorende bij een nummeraanduiding. | [optional] |
| **huisnummer** | **Integer** | Huisnummer behorende bij een nummeraanduiding. | [optional] |
| **huisnummertoevoeging** | **String** | Huisnummertoevoeging behorende bij een nummeraanduiding. | [optional] |
| **huisletter** | **String** | Huisletter behorende bij een nummeraanduiding. | [optional] |
| **exacte_match** | **Boolean** | \&quot;Een indicatie of de resultaten van een zoekoperatie exact overeen moeten komen met de zoekcriteria, zie [functionele specificatie exacte match](https://github.com/lvbag/BAG-API/blob/master/Features/exacte_match.feature).\&quot; | [optional][default to false] |
| **adresseerbaar_object_identificatie** | **String** | Identificatie van een adresseerbaar object uit de BAG. | [optional] |
| **woonplaats_naam** | **String** | Naam van een woonplaats. | [optional] |
| **openbare_ruimte_naam** | **String** | Naam van een openbare ruimte. | [optional] |
| **accept_crs** | **String** | Gewenste CRS van de coördinaten in de response. | [optional] |

### Return type

[**AdresUitgebreidHalCollection**](AdresUitgebreidHalCollection.md)

### Authorization

[apiKeyBAG](../README.md#apiKeyBAG)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/hal+json, application/problem+json

