# BagKadasterClient::AlgemeneInformatieApi

All URIs are relative to *https://api.bag.acceptatie.kadaster.nl/lvbag/individuelebevragingen/v2*

| Method | HTTP request | Description |
| ------ | ------------ | ----------- |
| [**get_info**](AlgemeneInformatieApi.md#get_info) | **GET** /info | Algemene info van de API |


## get_info

> <APIInfo> get_info

Algemene info van de API

### Examples

```ruby
require 'time'
require 'bag_kadaster_client'
# setup authorization
BagKadasterClient.configure do |config|
  # Configure API key authorization: apiKeyBAG
  config.api_key['apiKeyBAG'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['apiKeyBAG'] = 'Bearer'
end

api_instance = BagKadasterClient::AlgemeneInformatieApi.new

begin
  # Algemene info van de API
  result = api_instance.get_info
  p result
rescue BagKadasterClient::ApiError => e
  puts "Error when calling AlgemeneInformatieApi->get_info: #{e}"
end
```

#### Using the get_info_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<APIInfo>, Integer, Hash)> get_info_with_http_info

```ruby
begin
  # Algemene info van de API
  data, status_code, headers = api_instance.get_info_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <APIInfo>
rescue BagKadasterClient::ApiError => e
  puts "Error when calling AlgemeneInformatieApi->get_info_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**APIInfo**](APIInfo.md)

### Authorization

[apiKeyBAG](../README.md#apiKeyBAG)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json, application/problem+json

