# BagKadasterClient::Error

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **status** | **Integer** | De HTTP status code. |  |
| **title** | **String** | De titel behorende bij de HTTP status code. |  |
| **type** | **String** | URI naar een pagina met meer informatie over deze foutmelding voor de ontwikkelaar. |  |
| **detail** | **String** | Een gedetailleerde beschrijving van de HTTP status code. |  |
| **instance** | **String** | URI van de aanroep die fout heeft veroorzaakt. |  |
| **code** | **String** | Systeem code die het type fout aangeeft. | [optional] |
| **invalid_params** | [**Array&lt;InvalidParams&gt;**](InvalidParams.md) |  | [optional] |

## Example

```ruby
require 'bag_kadaster_client'

instance = BagKadasterClient::Error.new(
  status: 401,
  title: Niet correct geauthenticeerd,
  type: https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#/10.4.2 401 Unauthorized,
  detail: Het verzoek vereist gebruikers authenticatie.,
  instance: null,
  code: null,
  invalid_params: null
)
```

