# BagKadasterClient::HistorieInOnderzoek

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **tijdstip_registratie** | **Time** | Het tijdstip waarop een versie van een onderzoek naar een attribuut van en BAG-object is geregistreerd in de registratie van een bronhouder en daarmee authentiek wordt gemaakt. |  |
| **eind_registratie** | **Time** | Het tijdstip waarop een versie van een onderzoek naar een attribuut van een BAG-object is beëindigd in de registratie van een bronhouder. | [optional] |
| **begin_geldigheid** | **Date** | De datum waarop een versie van een onderzoek naar een attribuut van een BAG-object geldig is in de werkelijkheid conform de ingangsdatum in het brondocument. Als er geen expliciete ingangsdatum van geldigheid is opgenomen, wordt de datum van het brondocument overgenomen. |  |
| **eind_geldigheid** | **Date** | De datum waarop de periode van geldigheid van een versie van een onderzoek naar een attribuut van een BAG-object eindigt. Bijvoorbeeld als gevolg van de vaststelling van een nieuw brondocument. Wanneer er geen tijdstip is ingevuld, dan is de versie nog geldig. | [optional] |
| **tijdstip_registratie_lv** | **Time** | Dit is het tijdstip waarop een versie van een onderzoek naar een attribuut van een BAG-object is opgenomen in de registratie van de landelijke voorziening. De gegevens komen daarmee beschikbaar voor afnemers. |  |
| **tijdstip_eind_registratie_lv** | **Time** | Dit is het tijdstip waarop een versie van een onderzoek naar een attribuut van een BAG-object is beëindigd in de registratie van de landelijke voorziening. | [optional] |

## Example

```ruby
require 'bag_kadaster_client'

instance = BagKadasterClient::HistorieInOnderzoek.new(
  tijdstip_registratie: null,
  eind_registratie: null,
  begin_geldigheid: Sat Jun 01 00:00:00 UTC 2019,
  eind_geldigheid: Sat Jun 01 00:00:00 UTC 2019,
  tijdstip_registratie_lv: null,
  tijdstip_eind_registratie_lv: null
)
```

