# BagKadasterClient::Nummeraanduiding

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **identificatie** | **String** | Deze wordt gebruikt in de operation. |  |
| **domein** | **String** | NL.IMBAG.Nummeraanduiding |  |
| **huisnummer** | **Integer** | Een door of namens het gemeentebestuur ten aanzien van een adresseerbaar object toegekende nummering. |  |
| **huisletter** | **String** | Een door of namens het gemeentebestuur ten aanzien van een adresseerbaar object toegekende toevoeging aan een huisnummer in de vorm van een alfanumeriek teken. | [optional] |
| **huisnummertoevoeging** | **String** | Een door of namens het gemeentebestuur ten aanzien van een adresseerbaar object toegekende nadere toevoeging aan een huisnummer of een combinatie van huisnummer en huisletter. | [optional] |
| **postcode** | **String** | De door PostNL vastgestelde code behorende bij een bepaalde combinatie van een straatnaam en een huisnummer. | [optional] |
| **type_adresseerbaar_object** | [**TypeAdresseerbaarObject**](TypeAdresseerbaarObject.md) |  |  |
| **status** | [**StatusNaamgeving**](StatusNaamgeving.md) |  |  |
| **geconstateerd** | [**Indicatie**](Indicatie.md) |  |  |
| **documentdatum** | **Date** | De datum waarop het brondocument is vastgesteld, op basis waarvan een opname, mutatie of een verwijdering van gegevens ten aanzien van een object heeft plaatsgevonden. |  |
| **documentnummer** | **String** | De unieke aanduiding van het brondocument op basis waarvan een opname, mutatie of een verwijdering van gegevens ten aanzien van een woonplaats heeft plaatsgevonden binnen een gemeente. Alle karakters uit de MES-1 karakterset zijn toegestaan. |  |
| **voorkomen** | [**Voorkomen**](Voorkomen.md) |  |  |
| **ligt_in** | **String** | De identificatie wordt gebruikt in de operation, bv. /woonplaatsen/3560. Waarde: 0001-9999, formaat: ^[0-9]{3}[1-9]\\|[0-9]{2}[1-9][0-9]\\|[0-9][1-9][0-9]{2}\\|[1-9][0-9]{3}$. | [optional] |
| **ligt_aan** | **String** | Deze wordt gebruikt in de operation. |  |

## Example

```ruby
require 'bag_kadaster_client'

instance = BagKadasterClient::Nummeraanduiding.new(
  identificatie: 0226200000038923,
  domein: NL.IMBAG.Nummeraanduiding,
  huisnummer: 1,
  huisletter: A,
  huisnummertoevoeging: bis,
  postcode: 6922KZ,
  type_adresseerbaar_object: null,
  status: null,
  geconstateerd: null,
  documentdatum: Mon Nov 25 00:00:00 UTC 2019,
  documentnummer: Duiven 25112019,
  voorkomen: null,
  ligt_in: 2096,
  ligt_aan: 0226300000136124
)
```

