# BagKadasterClient::OpenbareRuimte

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **identificatie** | **String** | Deze wordt gebruikt in de operation. |  |
| **domein** | **String** | NL.IMBAG.Openbareruimte |  |
| **naam** | **String** | Een naam die aan een openbare ruimte is toegekend in een daartoe strekkend formeel gemeentelijk besluit. |  |
| **type** | [**TypeOpenbareRuimte**](TypeOpenbareRuimte.md) |  |  |
| **status** | [**StatusNaamgeving**](StatusNaamgeving.md) |  |  |
| **korte_naam** | **String** | De officiële openbare ruimte naam als deze niet langer is dan 24 tekens of de volgens de NEN5825 verkorte naam van maximaal 24 tekens. |  |
| **geconstateerd** | [**Indicatie**](Indicatie.md) |  |  |
| **documentdatum** | **Date** | De datum waarop het brondocument is vastgesteld, op basis waarvan een opname, mutatie of een verwijdering van gegevens ten aanzien van een object heeft plaatsgevonden. |  |
| **documentnummer** | **String** | De unieke aanduiding van het brondocument op basis waarvan een opname, mutatie of een verwijdering van gegevens ten aanzien van een woonplaats heeft plaatsgevonden binnen een gemeente. Alle karakters uit de MES-1 karakterset zijn toegestaan. |  |
| **voorkomen** | [**Voorkomen**](Voorkomen.md) |  |  |
| **ligt_in** | **String** | De identificatie wordt gebruikt in de operation, bv. /woonplaatsen/3560. Waarde: 0001-9999, formaat: ^[0-9]{3}[1-9]\\|[0-9]{2}[1-9][0-9]\\|[0-9][1-9][0-9]{2}\\|[1-9][0-9]{3}$. |  |

## Example

```ruby
require 'bag_kadaster_client'

instance = BagKadasterClient::OpenbareRuimte.new(
  identificatie: 0226300000136124,
  domein: NL.IMBAG.Openbareruimte,
  naam: Laan van de landinrichtingscommissie Duiven-Westervoort,
  type: null,
  status: null,
  korte_naam: Ln vd l D-Westervoort,
  geconstateerd: null,
  documentdatum: Mon Aug 22 00:00:00 UTC 2011,
  documentnummer: 11INT00398,
  voorkomen: null,
  ligt_in: 2096
)
```

