# BagKadasterClient::Pand

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **identificatie** | **String** | Deze wordt gebruikt in de operation. |  |
| **domein** | **String** | NL.IMBAG.Pand |  |
| **geometrie** | [**Surface**](Surface.md) |  |  |
| **oorspronkelijk_bouwjaar** | **String** | De aanduiding van het jaar waarin een pand oorspronkelijk als bouwkundig gereed is of zal worden opgeleverd. Bij het initieel opvoeren van een PAND wordt door de gemeente een reële inschatting gemaakt van het waarschijnlijke bouwjaar van het PAND. Bij het bouwkundig gereed opleveren van het PAND wordt deze waarde in voorkomende gevallen aangepast. Indien in latere jaren wijzigingen aan een pand worden aangebracht, leidt dit niet tot wijziging van het bouwjaar. |  |
| **status** | [**StatusPand**](StatusPand.md) |  |  |
| **geconstateerd** | [**Indicatie**](Indicatie.md) |  |  |
| **documentdatum** | **Date** | De datum waarop het brondocument is vastgesteld, op basis waarvan een opname, mutatie of een verwijdering van gegevens ten aanzien van een object heeft plaatsgevonden. |  |
| **documentnummer** | **String** | De unieke aanduiding van het brondocument op basis waarvan een opname, mutatie of een verwijdering van gegevens ten aanzien van een woonplaats heeft plaatsgevonden, binnen een gemeente. Alle karakters uit de MES-1 karakterset zijn toegestaan. |  |
| **voorkomen** | [**Voorkomen**](Voorkomen.md) |  |  |

## Example

```ruby
require 'bag_kadaster_client'

instance = BagKadasterClient::Pand.new(
  identificatie: 0226100000008856,
  domein: NL.IMBAG.Pand,
  geometrie: null,
  oorspronkelijk_bouwjaar: 1991,
  status: null,
  geconstateerd: null,
  documentdatum: Tue May 12 00:00:00 UTC 2009,
  documentnummer: 09.BW.0273,
  voorkomen: null
)
```

