=begin
#IMBAG API - van de LVBAG

#Dit is de [BAG API](https://zakelijk.kadaster.nl/-/bag-api) Individuele Bevragingen van de Landelijke Voorziening Basisregistratie Adressen en Gebouwen (LVBAG).                                         <br/>                                         Meer informatie over de Basisregistratie Adressen en Gebouwen is te vinden op de website van het [Ministerie van Binnenlandse Zaken en Koninkrijksrelaties](https://www.geobasisregistraties.nl/basisregistraties/adressen-en-gebouwen) en [Kadaster](https://zakelijk.kadaster.nl/bag).                                         <br/>                                         <br/>                                         De BAG API levert informatie conform de [BAG Catalogus 2018](https://www.geobasisregistraties.nl/documenten/publicatie/2018/03/12/catalogus-2018) en het informatiemodel IMBAG 2.0.                                         De API specificatie volgt de [Nederlandse API-Strategie](https://docs.geostandaarden.nl/api/API-Strategie) specificatie versie van 20200204 en is opgesteld in [OpenAPI Specificatie](https://www.forumstandaardisatie.nl/standaard/openapi-specification) (OAS) v3.                                         <br/>                                         Het standaard mediatype HAL (`application/hal+json`) wordt gebruikt. Dit is een mediatype voor het weergeven van resources en hun relaties via hyperlinks.                                         <br/>                                         <br/>                                         Deze API is vooral gericht op individuele bevragingen (op basis van de identificerende gegevens van een object).                                         Om gebruik te kunnen maken van de BAG API is een API key nodig, deze kan verkregen worden door het [aanvraagformulier](https://formulieren.kadaster.nl/aanvraag_bag_api_individuele_bevragingen_productie) in te vullen.                                         <br/>                                         <br/>                                         Voor vragen, neem contact op met de LVBAG beheerder o.v.v. BAG API 2.0. We zijn aan het kijken naar een geschikt medium hiervoor, mede ook om de API iteratief te kunnen opstellen of doorontwikkelen samen met de community. Als de API iets (nog) niet kan, wat u wel graag wilt, neem dan contact op.

The version of the OpenAPI document: 2.1.6

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.4.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for BagKadasterClient::AdresApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'AdresApi' do
  before do
    # run before each test
    @api_instance = BagKadasterClient::AdresApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of AdresApi' do
    it 'should create an instance of AdresApi' do
      expect(@api_instance).to be_instance_of(BagKadasterClient::AdresApi)
    end
  end

  # unit tests for bevraag_adressen
  # Bevragen van huidige adressen met een (combinatie van) zoek parameters.
  # De volgende bevragingen worden ondersteund: &lt;ol&gt;   &lt;li&gt;     Bevragen van één huidig adres met de identificatie van een zoekresultaat verkregen via /adressen/zoek.   &lt;/li&gt;   &lt;li&gt;     Bevragen van één of meer huidige adressen met postcode, huisnummer en optioneel huisnummertoevoeging en huisletter.     Parameter exacteMatch kan worden toegepast.   &lt;/li&gt;   &lt;li&gt;     Bevragen van één of meer huidige adressen met de identificatie van een adresseerbaar object.   &lt;/li&gt;   &lt;li&gt;     Bevragen van één of meer huidige adressen met woonplaats naam, openbare ruimte naam, huisnummer en optioneel huisnummertoevoeging en/of huisletter.     Parameter exacteMatch kan worden toegepast.   &lt;/li&gt;   &lt;li&gt;     Bevragen van één of meer huidige adressen met de identificatie van een pand.     Expand wordt niet ondersteund.   &lt;/li&gt; &lt;/ol&gt; Bij de bovenstaande bevragingen kunnen eveneens de volgende parameters worden gebruikt (tenzij anders vermeld):&lt;br/&gt; Als expand&#x3D;nummeraanduiding, openbareRuimte, woonplaats (of een combinatie daarvan) of als expand&#x3D;true, dan worden de gevraagde of alle gerelateerde resources als geneste resource geleverd. Voor paginering, zie: [functionele specificatie paginering](https://github.com/lvbag/BAG-API/blob/master/Features/paginering.feature).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :zoekresultaat_identificatie De identificatie van een gekozen zoekresultaat uit de zoekResultatenHalCollectie verkregen bij een GET /adressen/zoek
  # @option opts [String] :postcode Postcode behorende bij een nummeraanduiding.
  # @option opts [Integer] :huisnummer Huisnummer behorende bij een nummeraanduiding.
  # @option opts [String] :huisnummertoevoeging Huisnummertoevoeging behorende bij een nummeraanduiding.
  # @option opts [String] :huisletter Huisletter behorende bij een nummeraanduiding.
  # @option opts [Boolean] :exacte_match \&quot;Een indicatie of de resultaten van een zoekoperatie exact overeen moeten komen met de zoekcriteria, zie [functionele specificatie exacte match](https://github.com/lvbag/BAG-API/blob/master/Features/exacte_match.feature).\&quot;
  # @option opts [String] :adresseerbaar_object_identificatie Identificatie van een adresseerbaar object (ligplaats, standplaats of verblijfsobject) uit de BAG.
  # @option opts [String] :woonplaats_naam Naam van een woonplaats.
  # @option opts [String] :openbare_ruimte_naam Naam van een openbare ruimte.
  # @option opts [String] :pand_identificatie Identificatie van een object uit de BAG. Deze is 4 lang bij een woonplaats en 16 lang bij de andere objecten.
  # @option opts [String] :expand Hier kan aangegeven worden welke gerelateerde resources meegeladen moeten worden. Resources en velden van resources die gewenst zijn kunnen in de expand parameter kommagescheiden worden opgegeven. Specifieke velden van resource kunnen worden opgegeven door het opgeven van de resource-naam gevolgd door de veldnaam, met daartussen een punt.
  # @option opts [Integer] :page Pagina nummer
  # @option opts [Integer] :page_size Aantal resultaten per pagina
  # @return [AdresIOHalCollection]
  describe 'bevraag_adressen test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for bevraag_adressen_met_num_id
  # Bevragen van een huidig adres met de identificatie van een nummeraanduiding.
  # Bevragen van een huidig adres met de identificatie van een nummeraanduiding. Als expand&#x3D;nummeraanduiding, openbareRuimte, woonplaats (of een combinatie daarvan) of als expand&#x3D;true, dan worden de gevraagde of alle gerelateerde resources als geneste resource geleverd.
  # @param nummeraanduiding_identificatie Identificatie van een nummeraanduiding uit de BAG. Deze is 16 cijfers lang.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :expand Hier kan aangegeven worden welke gerelateerde resources meegeladen moeten worden. Resources en velden van resources die gewenst zijn kunnen in de expand parameter kommagescheiden worden opgegeven. Specifieke velden van resource kunnen worden opgegeven door het opgeven van de resource-naam gevolgd door de veldnaam, met daartussen een punt.
  # @return [AdresIOHal]
  describe 'bevraag_adressen_met_num_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for zoek
  # Zoeken van huidige adressen
  # Zoeken van huidige adressen met postcode, woonplaats, straatnaam, huisnummer, huisletter, huisnummertoevoeging.  Een adres kan worden gevonden door de zoekresultaatidentificatie uit het antwoord als parameter mee te geven in get /adressen. Voor paginering, zie: [functionele specificatie paginering](https://github.com/lvbag/BAG-API/blob/master/Features/paginering.feature).
  # @param zoek Zoekterm op postcode, woonplaats, straatnaam, huisnummer, huisletter, huisnummertoevoeging
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Pagina nummer
  # @option opts [Integer] :page_size Aantal resultaten per pagina
  # @return [ZoekResultaatHalCollection]
  describe 'zoek test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
