=begin
#IMBAG API - van de LVBAG

#Dit is de [BAG API](https://zakelijk.kadaster.nl/-/bag-api) Individuele Bevragingen van de Landelijke Voorziening Basisregistratie Adressen en Gebouwen (LVBAG).                                         <br/>                                         Meer informatie over de Basisregistratie Adressen en Gebouwen is te vinden op de website van het [Ministerie van Binnenlandse Zaken en Koninkrijksrelaties](https://www.geobasisregistraties.nl/basisregistraties/adressen-en-gebouwen) en [Kadaster](https://zakelijk.kadaster.nl/bag).                                         <br/>                                         <br/>                                         De BAG API levert informatie conform de [BAG Catalogus 2018](https://www.geobasisregistraties.nl/documenten/publicatie/2018/03/12/catalogus-2018) en het informatiemodel IMBAG 2.0.                                         De API specificatie volgt de [Nederlandse API-Strategie](https://docs.geostandaarden.nl/api/API-Strategie) specificatie versie van 20200204 en is opgesteld in [OpenAPI Specificatie](https://www.forumstandaardisatie.nl/standaard/openapi-specification) (OAS) v3.                                         <br/>                                         Het standaard mediatype HAL (`application/hal+json`) wordt gebruikt. Dit is een mediatype voor het weergeven van resources en hun relaties via hyperlinks.                                         <br/>                                         <br/>                                         Deze API is vooral gericht op individuele bevragingen (op basis van de identificerende gegevens van een object).                                         Om gebruik te kunnen maken van de BAG API is een API key nodig, deze kan verkregen worden door het [aanvraagformulier](https://formulieren.kadaster.nl/aanvraag_bag_api_individuele_bevragingen_productie) in te vullen.                                         <br/>                                         <br/>                                         Voor vragen, neem contact op met de LVBAG beheerder o.v.v. BAG API 2.0. We zijn aan het kijken naar een geschikt medium hiervoor, mede ook om de API iteratief te kunnen opstellen of doorontwikkelen samen met de community. Als de API iets (nog) niet kan, wat u wel graag wilt, neem dan contact op.

The version of the OpenAPI document: 2.1.6

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.4.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for BagKadasterClient::AdresUitgebreidApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'AdresUitgebreidApi' do
  before do
    # run before each test
    @api_instance = BagKadasterClient::AdresUitgebreidApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of AdresUitgebreidApi' do
    it 'should create an instance of AdresUitgebreidApi' do
      expect(@api_instance).to be_instance_of(BagKadasterClient::AdresUitgebreidApi)
    end
  end

  # unit tests for bevraag_adres_uitgebreid_met_num_id
  # Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding.
  # Bevragen van de uitgebreide informatie van één huidig adres met de identificatie van een nummeraanduiding.
  # @param nummeraanduiding_identificatie Identificatie van een nummeraanduiding uit de BAG.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :accept_crs Gewenste CRS van de coördinaten in de response.
  # @return [AdresUitgebreidHal]
  describe 'bevraag_adres_uitgebreid_met_num_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for zoek_adres_uitgebreid
  # Bevragen van de uitgebreide informatie van één of meer huidige adressen op basis van verschillende combinaties van parameters.
  # De volgende (combinaties van) parameters worden ondersteund: &lt;ol&gt;   &lt;li&gt;Bevragen van de uitgebreide informatie van één of meer huidige adressen met een postcode, huisnummer en optioneel huisnummertoevoeging en huisletter.     Het opgeven van een combinatie van parameters levert niet altijd een exacte match met één adres, bv. in geval van meerdere objecten met huisnummertoevoegingen en/of huisletters.      Met de exacteMatch parameter kan worden aangegeven dat alleen object(en) die exact overeenkomen met de opgegeven parameters, geretourneerd moeten worden.   &lt;/li&gt;   &lt;li&gt;Bevragen van de uitgebreide informatie van één of meer huidige adressen met de identificatie van een adresseerbaar object.&lt;/li&gt;   &lt;li&gt;Bevragen van de uitgebreide informatie van één of meer huidige adressen met woonplaats naam, openbare ruimte naam, huisnummer en optioneel huisnummertoevoeging en huisletter.     Het opgeven van een combinatie van parameters levert niet altijd een exacte match met één adres, bv. in geval van meerdere objecten met huisnummertoevoegingen en/of huisletters.      Met de exacteMatch parameter kan worden aangegeven dat alleen object(en) die exact overeenkomen met de opgegeven parameters, geretourneerd moeten worden.   &lt;/li&gt; &lt;/ol&gt;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :postcode Postcode behorende bij een nummeraanduiding.
  # @option opts [Integer] :huisnummer Huisnummer behorende bij een nummeraanduiding.
  # @option opts [String] :huisnummertoevoeging Huisnummertoevoeging behorende bij een nummeraanduiding.
  # @option opts [String] :huisletter Huisletter behorende bij een nummeraanduiding.
  # @option opts [Boolean] :exacte_match \&quot;Een indicatie of de resultaten van een zoekoperatie exact overeen moeten komen met de zoekcriteria, zie [functionele specificatie exacte match](https://github.com/lvbag/BAG-API/blob/master/Features/exacte_match.feature).\&quot;
  # @option opts [String] :adresseerbaar_object_identificatie Identificatie van een adresseerbaar object uit de BAG.
  # @option opts [String] :woonplaats_naam Naam van een woonplaats.
  # @option opts [String] :openbare_ruimte_naam Naam van een openbare ruimte.
  # @option opts [String] :accept_crs Gewenste CRS van de coördinaten in de response.
  # @return [AdresUitgebreidHalCollection]
  describe 'zoek_adres_uitgebreid test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
