=begin
#IMBAG API - van de LVBAG

#Dit is de [BAG API](https://zakelijk.kadaster.nl/-/bag-api) Individuele Bevragingen van de Landelijke Voorziening Basisregistratie Adressen en Gebouwen (LVBAG).                                         <br/>                                         Meer informatie over de Basisregistratie Adressen en Gebouwen is te vinden op de website van het [Ministerie van Binnenlandse Zaken en Koninkrijksrelaties](https://www.geobasisregistraties.nl/basisregistraties/adressen-en-gebouwen) en [Kadaster](https://zakelijk.kadaster.nl/bag).                                         <br/>                                         <br/>                                         De BAG API levert informatie conform de [BAG Catalogus 2018](https://www.geobasisregistraties.nl/documenten/publicatie/2018/03/12/catalogus-2018) en het informatiemodel IMBAG 2.0.                                         De API specificatie volgt de [Nederlandse API-Strategie](https://docs.geostandaarden.nl/api/API-Strategie) specificatie versie van 20200204 en is opgesteld in [OpenAPI Specificatie](https://www.forumstandaardisatie.nl/standaard/openapi-specification) (OAS) v3.                                         <br/>                                         Het standaard mediatype HAL (`application/hal+json`) wordt gebruikt. Dit is een mediatype voor het weergeven van resources en hun relaties via hyperlinks.                                         <br/>                                         <br/>                                         Deze API is vooral gericht op individuele bevragingen (op basis van de identificerende gegevens van een object).                                         Om gebruik te kunnen maken van de BAG API is een API key nodig, deze kan verkregen worden door het [aanvraagformulier](https://formulieren.kadaster.nl/aanvraag_bag_api_individuele_bevragingen_productie) in te vullen.                                         <br/>                                         <br/>                                         Voor vragen, neem contact op met de LVBAG beheerder o.v.v. BAG API 2.0. We zijn aan het kijken naar een geschikt medium hiervoor, mede ook om de API iteratief te kunnen opstellen of doorontwikkelen samen met de community. Als de API iets (nog) niet kan, wat u wel graag wilt, neem dan contact op.

The version of the OpenAPI document: 2.1.6

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.4.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for BagKadasterClient::OpenbareRuimteApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'OpenbareRuimteApi' do
  before do
    # run before each test
    @api_instance = BagKadasterClient::OpenbareRuimteApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of OpenbareRuimteApi' do
    it 'should create an instance of OpenbareRuimteApi' do
      expect(@api_instance).to be_instance_of(BagKadasterClient::OpenbareRuimteApi)
    end
  end

  # unit tests for openbareruimte_identificatie
  # bevragen van een openbare ruimte met de identificatie van een openbare ruimte.
  # Bevragen/raadplegen van een openbare ruimte met de identificatie van een openbare ruimte. Als geldigOp en/of beschikbaarOp niet wordt opgegeven, worden de actuele gegevens geleverd.  Als expand&#x3D;ligtInWoonplaats of true dan wordt de woonplaats als geneste resource geleverd.
  # @param openbare_ruimte_identificatie Identificatie van een object uit de BAG. Deze is 4 lang bij een woonplaats en 16 lang bij de andere objecten.
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :geldig_op Filtert op objecten die geldig zijn op de opgegeven datum &#39;YYYY-MM-DD&#39;  Deze parameters komen uit de API strategie, het hoofdstuk tijdreizen. 
  # @option opts [Time] :beschikbaar_op Filtert op objecten die beschikbaar zijn op de opgegeven datum en tijd &#x60;YYYY-MM-DDThh:mm:ss.sss&#39; Hierin kunnen de seconden &#39;:ss&#39; en milliseconden &#39;.sss&#39; of alleen de milliseconden conform ISO 8601 specificatie worden weggelaten, in dat geval krijgen deze automatisch de waarde &#39;:00&#39; respectievelijk &#39;.000&#39;. Indien er voor de milliseconden &#39;.sss&#39; meer dan 3 cijfers worden opgegeven, bv. &#39;.12345&#39;, dan wordt dit afgekapt tot &#39;.123&#39;. Deze parameters komen uit de API strategie, het hoofdstuk tijdreizen. 
  # @option opts [String] :expand Hier kan aangegeven worden welke gerelateerde resources meegeladen moeten worden. Resources en velden van resources die gewenst zijn kunnen in de expand parameter kommagescheiden worden opgegeven. Specifieke velden van resource kunnen worden opgegeven door het opgeven van de resource-naam gevolgd door de veldnaam, met daartussen een punt.
  # @return [OpenbareRuimteIOHal]
  describe 'openbareruimte_identificatie test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for openbareruimte_identificatie_voorkomen
  # bevragen van een voorkomen van een openbare ruimte met de identificatie van een openbare ruimte en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
  # Bevragen/raadplegen van een voorkomen van een openbare ruimte met de identificatie van een openbare ruimte en de identificatie van een voorkomen, bestaande uit een versie en een timestamp van het tijdstip van registratie in de LV BAG.
  # @param openbare_ruimte_identificatie Identificatie van een object uit de BAG. Deze is 4 lang bij een woonplaats en 16 lang bij de andere objecten.
  # @param versie De versie van een voorkomen van een object
  # @param timestamp_registratie_lv Een timestamp van het tijdstip waarop een voorkomen is geregistreerd in de LV BAG
  # @param [Hash] opts the optional parameters
  # @return [OpenbareRuimteIOHal]
  describe 'openbareruimte_identificatie_voorkomen test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for openbareruimte_lvc_identificatie
  # bevragen levenscyclus van een openbare ruimte met de identificatie van een openbare ruimte.
  # Bevragen/raadplegen van de levenscyclus van één openbare ruimte, via de identificatie van een openbare ruimte.
  # @param openbare_ruimte_identificatie Identificatie van een object uit de BAG. Deze is 4 lang bij een woonplaats en 16 lang bij de andere objecten.
  # @param [Hash] opts the optional parameters
  # @option opts [Boolean] :gehele_lvc Filtert naast geldige voorkomens ook de voorkomens die uit de geldige levenscyclus van het object zijn verwijderd. Als deze parameter wordt weggelaten worden alleen geldige voorkomens geretourneerd (default is false). Voor een toelichting zie de [Praktijkhandleiding BAG](https://imbag.github.io/praktijkhandleiding/artikelen/wat-is-het-verschil-tussen-actieve-voorkomens-actuele-voorkomens-en-huidige-voorkomens).
  # @return [OpenbareRuimteIOLvcHalCollection]
  describe 'openbareruimte_lvc_identificatie test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for zoek_openbare_ruimten
  # bevragen openbare ruimte(n) op basis van de verschillende combinaties van parameters.
  # De volgende (combinaties van) parameters worden ondersteund:&lt;br/&gt; &lt;ol&gt;   &lt;li&gt;     Bevragen/raadplegen van een openbare ruimte met een woonplaats naam en een openbare ruimte naam.     Als expand&#x3D;ligtInWoonplaats of true dan wordt de woonplaats als geneste resource geleverd.   &lt;/li&gt;   &lt;li&gt;     Bevragen/raadplegen van een openbare ruimte met een woonplaats identificatie en een openbare ruimte naam.     Als expand&#x3D;ligtInWoonplaats of true dan wordt de woonplaats als geneste resource geleverd.   &lt;/li&gt;   &lt;li&gt;     Bevragen/zoeken van alle aan een woonplaats gerelateerde openbare ruimten met de woonplaats identificatie.     Parameter huidig kan worden toegepast.     Expand wordt niet ondersteund.   &lt;/li&gt; &lt;/ol&gt; Bij alle bovenstaande combinaties wordt paginering ondersteund en kunnen de parameters geldigOp en beschikbaarOp worden gebruikt. Voor paginering, zie: [functionele specificatie paginering](https://github.com/lvbag/BAG-API/blob/master/Features/paginering.feature). Als geldigOp en beschikbaarOp niet wordt opgegeven, worden de actuele gegevens geleverd.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :woonplaats_naam Naam van een woonplaats object uit de BAG.
  # @option opts [String] :openbare_ruimte_naam Naam van een openbare ruimte object uit de BAG.
  # @option opts [String] :woonplaats_identificatie Identificatie van een object uit de BAG. Deze is 4 lang bij een woonplaats en 16 lang bij de andere objecten.
  # @option opts [Boolean] :huidig Indicatie dat alleen actuele object voorkomens zonder eindstatus gewenst zijn.
  # @option opts [Date] :geldig_op Filtert op objecten die geldig zijn op de opgegeven datum &#39;YYYY-MM-DD&#39;  Deze parameters komen uit de API strategie, het hoofdstuk tijdreizen. 
  # @option opts [Time] :beschikbaar_op Filtert op objecten die beschikbaar zijn op de opgegeven datum en tijd &#x60;YYYY-MM-DDThh:mm:ss.sss&#39; Hierin kunnen de seconden &#39;:ss&#39; en milliseconden &#39;.sss&#39; of alleen de milliseconden conform ISO 8601 specificatie worden weggelaten, in dat geval krijgen deze automatisch de waarde &#39;:00&#39; respectievelijk &#39;.000&#39;. Indien er voor de milliseconden &#39;.sss&#39; meer dan 3 cijfers worden opgegeven, bv. &#39;.12345&#39;, dan wordt dit afgekapt tot &#39;.123&#39;. Deze parameters komen uit de API strategie, het hoofdstuk tijdreizen. 
  # @option opts [Integer] :page Pagina nummer
  # @option opts [Integer] :page_size Aantal resultaten per pagina
  # @option opts [String] :expand Hier kan aangegeven worden welke gerelateerde resources meegeladen moeten worden. Resources en velden van resources die gewenst zijn kunnen in de expand parameter kommagescheiden worden opgegeven. Specifieke velden van resource kunnen worden opgegeven door het opgeven van de resource-naam gevolgd door de veldnaam, met daartussen een punt.
  # @return [OpenbareRuimteIOHalCollection]
  describe 'zoek_openbare_ruimten test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
